function [fun, grad] = fg_names(alg)
%FG_NAMES Returns names of functions which evaluate objective, constraints & grad.
%   [fun, grad] = fg_names(alg) returns the names of two functions. The first
%   evaluates the objective function and constraints for the opf algorithm
%   specified by alg, the numerical ID of the opf algorithm. The second
%   evaluates the gradient of the first. These are in the form expected by
%   'constr' in the Opt Toolbox.

%   MATPOWER
%   $Id: fg_names.m,v 1.5 2004/11/02 15:31:30 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 1996-2004 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

if opf_form(alg) == 1       %% standard
    fun     = 'fun_std';
    grad    = 'grad_std';
else    %% 2                %% CCV
    fun     = 'fun_ccv';
    grad    = 'grad_ccv';
end

return;
